Summary: Python bindings for KDE
Name: PyKDE
Version: 0.10
Release: 3
Copyright: GPL
Group: Development/Languages
Source: http://www.river-bank.demon.co.uk/%{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root
BuildRequires: sip >= 0.10
URL: http://www.river-bank.demon.co.uk/software

%description
These are Python bindings for KDE.

%package devel
Summary: Files needed to build other bindings based on KDE
Group: Development/Languages

%description devel
Files needed to build other bindings for C++ classes that inherit from any
of the KDE classes (e.g. KDE or your own).

%package examples
Summary: Examples for PyKDE
Group: Development/Languages

%description examples
Examples code demonstrating how to use the Python bindings for KDE.

%prep
%setup -q

%build
export QTDIR=/usr/lib/qt-1.45
export KDEDIR=/usr
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install install-sip install-doc

%clean
rm -Rf $RPM_BUILD_ROOT

%files
%doc README CHANGES PyKDE/THANKS 
/usr/lib/python1.5/*.py*
/usr/lib/python1.5/lib-dynload/*.so

%files devel
/usr/share/sip/kde

%files examples
%doc examples/README examples/*.py

%changelog
* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Use qt 1.45
- handle RPM_OPT_FLAGS
- fix download URL

* Tue Dec 21 1999 Ngo Than <than@redhat.de>
- updated 0.10

* Tue Dec 14 1999 Ngo Than <than@redhat.de>
- adapted fr powertools-6.2

* Fri Aug 13 1998 Pieter Nagel <pnagel@e.co.za>
- Initial packaging as RPM
